---
title: "Release v0.10.0"
linkTitle: "Release v0.10.0"
date: 2021-06-21
description: >
  Release v0.10.0
---

## Changelog since v0.9.17

### Breaking Changes

- Role required for adding/updating application was changed from `Admin` to `Editor`  ([#2085](https://github.com/pipe-cd/pipecd/pull/2085)).

### Deprecated Features

- [Sealed Secret](https://pipecd.dev/docs/user-guide/secret-management/sealed-secrets/) feature is deprecated. It can still be used, but expected to be removed entirely sometime in the future. Instead, please use [Secret Management](https://pipecd.dev/docs/user-guide/secret-management/).

### New Features

- [Amazon ECS](https://pipecd.dev/docs/feature-status/#amazon-ecs-deployment) deployment is now at Alpha.

### Notable Changes

* Added insecure to ChartRepository so that certificate verification can be skipped ([#1971](https://github.com/pipe-cd/pipecd/pull/1971))
* Support progressive deployment with ECS cloud provider ([#2058](https://github.com/pipe-cd/pipecd/pull/2058))
* Fix alerting error for stage log fetching ([#2075](https://github.com/pipe-cd/pipecd/pull/2075))

### Internal Changes

* Documentation for ECS deployment ([#2080](https://github.com/pipe-cd/pipecd/pull/2080))
* Add ECS_TRAFFIC_ROUTING as ECS deployment stage ([#2072](https://github.com/pipe-cd/pipecd/pull/2072))
* Support string with suffix `%` passed as percentage representing fields' value beside primitive integer value ([#2092](https://github.com/pipe-cd/pipecd/pull/2092))
* Change required role to add/update application from Admin to Editor ([#2085](https://github.com/pipe-cd/pipecd/pull/2085))
* Add a new way to manage secrets: [secret templating](https://pipecd.dev/docs/user-guide/secret-management/) ([#2097](https://github.com/pipe-cd/pipecd/pull/2097))
* Update doc for secret management ([#2099](https://github.com/pipe-cd/pipecd/pull/2099))
* Add SPA support for playground image ([#2101](https://github.com/pipe-cd/pipecd/pull/2101))
* Add plan preview to feature status page ([#2098](https://github.com/pipe-cd/pipecd/pull/2098))
* Change the default ECS configuration files format to `JSON` ([#2096](https://github.com/pipe-cd/pipecd/pull/2096))
* Make Popover render only when needed ([#2095](https://github.com/pipe-cd/pipecd/pull/2095))
* RFC for plan preview feature ([#2090](https://github.com/pipe-cd/pipecd/pull/2090))
* Ensure ECS deployment allow JSON file config ([#2094](https://github.com/pipe-cd/pipecd/pull/2094))
* Add module path aliases for web srcs ([#2093](https://github.com/pipe-cd/pipecd/pull/2093))
* Introducing percentage type ([#2088](https://github.com/pipe-cd/pipecd/pull/2088))
* Update contributor list ([#2091](https://github.com/pipe-cd/pipecd/pull/2091))
* Use absolute path for test utils importing ([#2089](https://github.com/pipe-cd/pipecd/pull/2089))
* Add ability to use both SecretManagement and SealedSecretManagement ([#2084](https://github.com/pipe-cd/pipecd/pull/2084))
* Fix invalid StageId on storing ECS stage metadata ([#2083](https://github.com/pipe-cd/pipecd/pull/2083))
* Show ECS traffic stage detail on web view ([#2082](https://github.com/pipe-cd/pipecd/pull/2082))
* Add missing stage description ([#2081](https://github.com/pipe-cd/pipecd/pull/2081))
* Update piped add cloud provider manual docs ([#2078](https://github.com/pipe-cd/pipecd/pull/2078))
* Add ECS application examples ([#2079](https://github.com/pipe-cd/pipecd/pull/2079))
* Refine ECS deployment stage messages ([#2076](https://github.com/pipe-cd/pipecd/pull/2076))
* Store traffic and canary scale to stage metadata store ([#2077](https://github.com/pipe-cd/pipecd/pull/2077))
* Change the directory structure of the redux module to make it easier to read ([#2074](https://github.com/pipe-cd/pipecd/pull/2074))
* Move the diff package to the shared location ([#2071](https://github.com/pipe-cd/pipecd/pull/2071))
* Update ECS RFC example ([#2067](https://github.com/pipe-cd/pipecd/pull/2067))
* Add TRAFFICE_ROUTING as stage in k8s bluegreen example ([#2064](https://github.com/pipe-cd/pipecd/pull/2064))
* Update release note ([#2063](https://github.com/pipe-cd/pipecd/pull/2063))
