---
title: "Release v0.39.0"
linkTitle: "Release v0.39.0"
date: 2022-11-07
description: >
 Release v0.39.0
---

## Changes since v0.38.2
### Notable Changes
* Make it possible to skip following stages when plan result is no changes ([#3903](https://github.com/pipe-cd/pipecd/pull/3903))

It's possible to use `exitOnNoChanges` option in order to exit the pipeline when having no changes like the below.
```yaml
apiVersion: pipecd.dev/v1beta1
kind: TerraformApp
spec:
  name: terraform-test
  input:
    terraformVersion: 1.3.3
  pipeline:
    stages:
      - name: TERRAFORM_PLAN
        with:
          exitOnNoChanges: true
      - name: WAIT_APPROVAL
      - name: TERRAFORM_APPLY
```

* Support UI for managing custom RBAC roles ([#3964](https://github.com/pipe-cd/pipecd/pull/3964))
* Add sprig functions to secret template ([#3941](https://github.com/pipe-cd/pipecd/pull/3941))
* Add pipectl delete application subcommand ([#3974](https://github.com/pipe-cd/pipecd/pull/3974)) - ref [pipectl docs](/docs/user-guide/command-line-tool/#deleting-an-application)

### Internal Changes
* Fix to handle an error before displaying a toast ([#3966](https://github.com/pipe-cd/pipecd/pull/3966))
* Update license text ([#3977](https://github.com/pipe-cd/pipecd/pull/3977))
* Update pipectl docs ([#3976](https://github.com/pipe-cd/pipecd/pull/3976))
* Update license message in go files ([#3973](https://github.com/pipe-cd/pipecd/pull/3973))
* Add a metrics to know deployment count of each project ([#3972](https://github.com/pipe-cd/pipecd/pull/3972))
* Fix the docs of eventwatcher ([#3967](https://github.com/pipe-cd/pipecd/pull/3967))
* Fix the README for docs ([#3970](https://github.com/pipe-cd/pipecd/pull/3970))
* Add the docs for exitOnNoChanges option ([#3968](https://github.com/pipe-cd/pipecd/pull/3968))
* Remove the Japanese docs ([#3969](https://github.com/pipe-cd/pipecd/pull/3969))
* Fix the validation for managing RBAC ([#3965](https://github.com/pipe-cd/pipecd/pull/3965))
* Enable closing the dialog when clicking an another area ([#3962](https://github.com/pipe-cd/pipecd/pull/3962))
* Fix the menu design for APIKey ([#3963](https://github.com/pipe-cd/pipecd/pull/3963))
* Fix the typo for Makefile ([#3961](https://github.com/pipe-cd/pipecd/pull/3961))
* Disable a scrolling table for RBAC ([#3959](https://github.com/pipe-cd/pipecd/pull/3959))
* Remove old docs ([#3958](https://github.com/pipe-cd/pipecd/pull/3958))
